> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Update occupancy sensor details

> Update the details of an occupancy sensor



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/occupancy/updateDetails
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/occupancy/updateDetails:
    post:
      tags:
        - Occupancy Webservice
      summary: Update occupancy sensor details
      description: Update the details of an occupancy sensor
      operationId: updateOccupancySensorDetails
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Occupancysensor_UpdateOccupancySensorDetailsWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Occupancysensor_UpdateOccupancySensorDetailsWSResponse
          description: OK
components:
  schemas:
    Occupancysensor_UpdateOccupancySensorDetailsWSRequest:
      type: object
      description: >-
        Request object for updating occupancy sensor details with selective
        update flags.
      properties:
        associatedCameras:
          type: array
          description: List of associated camera device facet UUIDs
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
        associatedCamerasUpdated:
          type: boolean
          description: Whether the associated cameras should be updated
          example: false
          nullable: true
        deleted:
          type: boolean
          description: Whether the sensor is marked as deleted
          example: false
          nullable: true
        deletedUpdated:
          type: boolean
          description: Whether the deleted status should be updated
          example: false
          nullable: true
        description:
          type: string
          description: Description of the occupancy sensor
          example: Motion sensor for conference room A
          nullable: true
        descriptionUpdated:
          type: boolean
          description: Whether the description should be updated
          example: false
          nullable: true
        floorNumber:
          type: integer
          format: int32
          description: Floor number where the sensor is located
          example: 2
          nullable: true
        floorNumberUpdated:
          type: boolean
          description: Whether the floor number should be updated
          example: false
          nullable: true
        latitude:
          type: number
          format: double
          description: Latitude coordinate of the sensor location
          example: 37.7749
          nullable: true
        latitudeUpdated:
          type: boolean
          description: Whether the latitude should be updated
          example: false
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        locationUuidUpdated:
          type: boolean
          description: Whether the location UUID should be updated
          example: false
          nullable: true
        longitude:
          type: number
          format: double
          description: Longitude coordinate of the sensor location
          example: -122.4194
          nullable: true
        longitudeUpdated:
          type: boolean
          description: Whether the longitude should be updated
          example: false
          nullable: true
        name:
          type: string
          description: Name of the occupancy sensor
          example: Conference Room Sensor
          nullable: true
        nameUpdated:
          type: boolean
          description: Whether the name should be updated
          example: false
          nullable: true
        policyUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        policyUuidUpdated:
          type: boolean
          description: Whether the policy UUID should be updated
          example: false
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        subLocationsHierarchyKeyUpdated:
          type: boolean
          description: Whether the sub-locations hierarchy key should be updated
          example: false
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    Occupancysensor_UpdateOccupancySensorDetailsWSResponse:
      type: object
      description: Response object for updating occupancy sensor details.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````